GDP11 build error with bluez5 [was Re: GDP 11 RC1 is out! The Open Source development platform for automotive is coming.]

Jamison, Tatiana tjamison at jaguarlandrover.com
Tue Sep 6 10:24:46 EDT 2016


On 2 September 2016 at 19:16, Changhyeok Bae <changhyeok.bae at gmail.com>
wrote:

> Please share ERROR: Logfile of failure stored in:
> /home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/
> tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/temp/log.do_configure.16095
> file.


Contents of logfile at end of email [1]

And as a workaround, please run "bitbake bluez5 -c cleansstate" and build
> again.
>
> Thanks
> Changhyeok
>

Building bluez5 succeeded after this. Thanks!

-- 
*Tatiana Jamison*
Software Developer

Jaguar Land Rover North America, LLC
1419 NW 14th Ave. Portland. OR 97209
JaguarUSA.com <http://www.jaguarusa.com/index.html>  |  LandRoverUSA.com
<http://www.landrover.com/us/en/lr>


[1] /home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/
tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/temp/log.do_configure.16095:

#!/bin/sh

# Emit a useful diagnostic if something fails:
bb_exit_handler() {
    ret=$?
    case $ret in
    0)  ;;
    *)  case $BASH_VERSION in
        "") echo "WARNING: exit code $ret from a shell command.";;
        *)  echo "WARNING: ${BASH_SOURCE[0]}:${BASH_LINENO[0]} exit $ret
from '$BASH_COMMAND'";;
        esac
        exit $ret
    esac
}
trap 'bb_exit_handler' 0
set -e
export prefix="/usr"
export STRIP="x86_64-poky-linux-strip"
export localstatedir="/var"
export USER="tjamison"
export libexecdir="/usr/libexec"
export datadir="/usr/share"
export LD="x86_64-poky-linux-ld
--sysroot=/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/intel-corei7-64
"
export LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed"
export bindir="/usr/bin"
export TARGET_CXXFLAGS=" -O2 -pipe -g -feliminate-unused-debug-types
-fdebug-prefix-map=/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0=/usr/src/debug/bluez5/5.37-r0
-fdebug-prefix-map=/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux=
-fdebug-prefix-map=/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/intel-corei7-64=
"
export includedir="/usr/include"
export BUILD_CC="gcc "
export
BUILD_LDFLAGS="-L/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/usr/lib
-L/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/lib
-Wl,-rpath-link,/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/usr/lib
-Wl,-rpath-link,/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/lib
-Wl,-rpath,/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/usr/lib
-Wl,-rpath,/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/lib
-Wl,-O1"
export CPP_FOR_BUILD="gcc  -E"
unset TARGET_ARCH
export STRINGS="x86_64-poky-linux-strings"
export CCACHE_DIR="/home/tjamison/.ccache"
export BUILD_LD="ld "
export oldincludedir="/usr/include"
export BUILD_CCLD="gcc "
export
CFLAGS_FOR_BUILD="-isystem/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/usr/include
-O2 -pipe"
export
BUILD_CFLAGS="-isystem/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/usr/include
-O2 -pipe"
export
CXXFLAGS_FOR_BUILD="-isystem/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/usr/include
-O2 -pipe"
export docdir="/usr/share/doc"
export infodir="/usr/share/info"
export CC="x86_64-poky-linux-gcc  -m64 -march=corei7 -mtune=corei7
-mfpmath=sse -msse4.2
--sysroot=/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/intel-corei7-64"
export TERM="xterm"
export CPPFLAGS=""
export PKG_CONFIG_SYSTEM_INCLUDE_PATH="/usr/include"
export RANLIB="x86_64-poky-linux-ranlib"
export base_sbindir="/sbin"
export CXX="x86_64-poky-linux-g++  -m64 -march=corei7 -mtune=corei7
-mfpmath=sse -msse4.2
--sysroot=/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/intel-corei7-64"
export HOME="/home/tjamison"
export BUILD_RANLIB="ranlib"
export BUILD_FC="gfortran "
export BUILD_NM="nm"
export LD_FOR_BUILD="ld "
export PKG_CONFIG_SYSTEM_LIBRARY_PATH="/lib:/usr/lib"
export AS="x86_64-poky-linux-as  "
export AR="x86_64-poky-linux-ar"
export lt_cv_sys_lib_dlsearch_path_spec="/usr/lib /lib"
export
BUILD_CPPFLAGS="-isystem/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/usr/include"
export CPP="x86_64-poky-linux-gcc -E
--sysroot=/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/intel-corei7-64
-m64 -march=corei7 -mtune=corei7 -mfpmath=sse -msse4.2"
export mandir="/usr/share/man"
export
PKG_CONFIG_SYSROOT_DIR="/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/intel-corei7-64"
export
CONFIG_SITE="/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/../poky/meta/site/endian-little
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/../poky/meta/site/common-linux
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/../poky/meta/site/common-glibc
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/../poky/meta/site/x86_64-linux
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/../poky/meta/site/common
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/../meta-openembedded/meta-oe/site/endian-little
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/build/aclocal-copy/glibc_config
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/build/aclocal-copy/ncurses_config
"
export
BUILD_CXXFLAGS="-isystem/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/usr/include
-O2 -pipe"
export OBJCOPY="x86_64-poky-linux-objcopy"
export CCACHE_DISABLE="1"
export servicedir="/srv"
export
PKG_CONFIG_PATH="/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/intel-corei7-64/usr/lib/pkgconfig:/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/intel-corei7-64/usr/share/pkgconfig"
export FC="x86_64-poky-linux-gfortran  -m64 -march=corei7 -mtune=corei7
-mfpmath=sse -msse4.2
--sysroot=/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/intel-corei7-64"
export BUILD_CXX="g++ "
export LC_ALL="C"
export TARGET_CPPFLAGS=""
export systemd_user_unitdir="/usr/lib/systemd/user"
export
PKG_CONFIG_DIR="/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/intel-corei7-64/usr/lib/pkgconfig"
export sysconfdir="/etc"
export CCLD="x86_64-poky-linux-gcc  -m64 -march=corei7 -mtune=corei7
-mfpmath=sse -msse4.2
--sysroot=/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/intel-corei7-64"
export nonarch_libdir="/usr/lib"
export base_libdir="/lib"
export MAKE="make"
export LOGNAME="tjamison"
export
PATH="/home/tjamison/work/GDP/genivi-dev-platform/poky/scripts:/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/usr/bin/x86_64-poky-linux:/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/intel-corei7-64/usr/bin/crossscripts:/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/usr/sbin:/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/usr/bin:/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/sbin:/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/bin:/home/tjamison/work/GDP/genivi-dev-platform/poky/scripts:/home/tjamison/work/GDP/genivi-dev-platform/poky/bitbake/bin:/home/tjamison/anaconda3/bin:/home/tjamison/opt/Qt/5.5/gcc_64/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/home/tjamison/Development"
export TARGET_CFLAGS=" -O2 -pipe -g -feliminate-unused-debug-types
-fdebug-prefix-map=/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0=/usr/src/debug/bluez5/5.37-r0
-fdebug-prefix-map=/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux=
-fdebug-prefix-map=/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/intel-corei7-64=
"
export base_bindir="/bin"
export
PKG_CONFIG_LIBDIR="/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/intel-corei7-64/usr/lib/pkgconfig"
unset MACHINE
export sbindir="/usr/sbin"
export CFLAGS=" -O2 -pipe -g -feliminate-unused-debug-types
-fdebug-prefix-map=/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0=/usr/src/debug/bluez5/5.37-r0
-fdebug-prefix-map=/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux=
-fdebug-prefix-map=/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/intel-corei7-64=
"
export BUILD_AR="ar"
export BUILD_AS="as "
export sharedstatedir="/com"
export OBJDUMP="x86_64-poky-linux-objdump"
unset DISTRO
export systemd_system_unitdir="/lib/systemd/system"
export exec_prefix="/usr"
export TARGET_LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed"
export PKG_CONFIG_DISABLE_UNINSTALLED="yes"
export libdir="/usr/lib"
export nonarch_base_libdir="/lib"
export PSEUDO_DISABLED="1"
export
CPPFLAGS_FOR_BUILD="-isystem/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/usr/include"
export PSEUDO_UNLOAD="1"
export CC_FOR_BUILD="gcc "
export
LDFLAGS_FOR_BUILD="-L/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/usr/lib
-L/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/lib
-Wl,-rpath-link,/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/usr/lib
-Wl,-rpath-link,/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/lib
-Wl,-rpath,/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/usr/lib
-Wl,-rpath,/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/lib
-Wl,-O1"
unset SHELL
export systemd_unitdir="/lib/systemd"
export CXX_FOR_BUILD="g++ "
export BUILD_CPP="gcc  -E"
export CXXFLAGS=" -O2 -pipe -g -feliminate-unused-debug-types
-fdebug-prefix-map=/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0=/usr/src/debug/bluez5/5.37-r0
-fdebug-prefix-map=/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux=
-fdebug-prefix-map=/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/intel-corei7-64=
-fvisibility-inlines-hidden"
export NM="x86_64-poky-linux-nm"
export base_prefix=""
export BUILD_STRIP="strip"

do_configure() {
    if [ -f configure ]; then
       rm -f configure
    fi
    autotools_do_configure
}

autotools_do_configure() {
    # WARNING: gross hack follows:
    # An autotools built package generally needs these scripts, however only
    # automake or libtoolize actually install the current versions of them.
    # This is a problem in builds that do not use libtool or automake, in
the case
    # where we -need- the latest version of these scripts.  e.g. running a
build
    # for a package whose autotools are old, on an x86_64 machine, which
the old
    # config.sub does not support.  Work around this by installing them
manually
    # regardless.
    for ac in `find
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/bluez-5.37
-ignore_readdir_race -name configure.in -o -name configure.ac`; do
        rm -f `dirname $ac`/configure
    done
    if [ -e
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/bluez-5.37/
configure.in -o -e
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/bluez-5.37/
configure.ac ]; then
        olddir=`pwd`
        cd
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/bluez-5.37
        ACLOCAL="aclocal
--system-acdir=/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/build/aclocal-copy/"
        if [ x"default" = xdefault ]; then
            acpaths=
            for i in `find
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/bluez-5.37
-ignore_readdir_race -maxdepth 2 -name \*.m4|grep -v 'aclocal.m4'| \
                grep -v 'acinclude.m4' | grep -v 'aclocal-copy' | sed -e
's,\(.*/\).*$,\1,'|sort -u`; do
                acpaths="$acpaths -I $i"
            done
        else
            acpaths="default"
        fi
        AUTOV=`automake --version | sed -e '1{s/.* //;s/\.[0-9]\+$//};q'`
        automake --version
        echo "AUTOV is $AUTOV"
        if [ -d
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/usr/share/aclocal-$AUTOV
]; then
            ACLOCAL="$ACLOCAL
--automake-acdir=/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/usr/share/aclocal-$AUTOV"
        fi
        # autoreconf is too shy to overwrite aclocal.m4 if it doesn't look
        # like it was auto-generated.  Work around this by blowing it away
        # by hand, unless the package specifically asked not to run aclocal.
        if ! echo --exclude=autopoint | grep -q "aclocal"; then
            rm -f aclocal.m4
        fi
        if [ -e configure.in ]; then
            CONFIGURE_AC=configure.in
        else
            CONFIGURE_AC=configure.ac
        fi
        if grep "^[[:space:]]*AM_GLIB_GNU_GETTEXT" $CONFIGURE_AC
>/dev/null; then
            if grep "sed.*POTFILES" $CONFIGURE_AC >/dev/null; then
                : do nothing -- we still have an old unmodified configure.ac
                else
                bbnote Executing glib-gettextize --force --copy
                echo "no" | glib-gettextize --force --copy
            fi
        elif grep "^[[:space:]]*AM_GNU_GETTEXT" $CONFIGURE_AC >/dev/null;
then
            # We'd call gettextize here if it wasn't so broken...
            cp
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/usr/share/gettext/config.rpath
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/bluez-5.37/
            if [ -d
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/bluez-5.37/po/
]; then
                cp -f
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/usr/share/gettext/po/
Makefile.in.in
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/bluez-5.37/po/
                if [ ! -e
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/bluez-5.37/po/remove-potcdate.sin
]; then
                    cp
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/x86_64-linux/usr/share/gettext/po/remove-potcdate.sin
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/bluez-5.37/po/
                fi
            fi
            for i in gettext.m4 iconv.m4 lib-ld.m4 lib-link.m4
lib-prefix.m4 nls.m4 po.m4 progtest.m4; do
                for j in `find
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/bluez-5.37
-ignore_readdir_race -name $i | grep -v aclocal-copy`; do
                    rm $j
                done
            done
        fi
        mkdir -p m4
        if grep "^[[:space:]]*[AI][CT]_PROG_INTLTOOL" $CONFIGURE_AC
>/dev/null; then
            bbnote Executing intltoolize --copy --force --automake
            intltoolize --copy --force --automake
        fi
        bbnote Executing ACLOCAL=\"$ACLOCAL\" autoreconf --verbose
--install --force --exclude=autopoint $acpaths
        ACLOCAL="$ACLOCAL" autoreconf -Wcross --verbose --install --force
--exclude=autopoint $acpaths || die "autoreconf execution failed."
        cd $olddir
    fi
    if [ -e
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/bluez-5.37/configure
]; then
        oe_runconf
    else
        bbnote "nothing to configure"
    fi
}

bbnote() {
    if [ -p
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/temp/fifo.16095
] ; then
        printf "%b\0" "bbnote $*" >
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/temp/fifo.16095
    else
        echo "NOTE: $*"
    fi
}

die() {
    bbfatal_log "$*"
}

oe_runconf() {
    # Use relative path to avoid buildpaths in files
    cfgscript_name="`basename
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/bluez-5.37/configure`"
    cfgscript=`python -c "import os; print
os.path.relpath(os.path.dirname('/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/bluez-5.37/configure'),
'.')"`/$cfgscript_name
    if [ -x "$cfgscript" ] ; then
        bbnote "Running $cfgscript  --build=x86_64-linux
--host=x86_64-poky-linux           --target=x86_64-poky-linux
--prefix=/usr           --exec_prefix=/usr           --bindir=/usr/bin
      --sbindir=/usr/sbin           --libexecdir=/usr/libexec
--datadir=/usr/share           --sysconfdir=/etc
--sharedstatedir=/com           --localstatedir=/var
--libdir=/usr/lib           --includedir=/usr/include
--oldincludedir=/usr/include           --infodir=/usr/share/info
--mandir=/usr/share/man           --disable-silent-rules
--disable-dependency-tracking
--with-libtool-sysroot=/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/intel-corei7-64
--enable-tools   --disable-cups   --enable-test   --enable-datafiles
--enable-systemd   --enable-library  --enable-service --enable-sixaxis
--disable-experimental --enable-obex $@"
        if !  $cfgscript  --build=x86_64-linux
--host=x86_64-poky-linux           --target=x86_64-poky-linux
--prefix=/usr           --exec_prefix=/usr           --bindir=/usr/bin
      --sbindir=/usr/sbin           --libexecdir=/usr/libexec
--datadir=/usr/share           --sysconfdir=/etc
--sharedstatedir=/com           --localstatedir=/var
--libdir=/usr/lib           --includedir=/usr/include
--oldincludedir=/usr/include           --infodir=/usr/share/info
--mandir=/usr/share/man           --disable-silent-rules
--disable-dependency-tracking
--with-libtool-sysroot=/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/sysroots/intel-corei7-64
--enable-tools   --disable-cups   --enable-test   --enable-datafiles
--enable-systemd   --enable-library  --enable-service --enable-sixaxis
--disable-experimental --enable-obex "$@"; then
            bbnote "The following config.log files may provide further
information."
            bbnote `find
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/build
-ignore_readdir_race -type f -name config.log`
            bbfatal_log "configure failed"
        fi
    else
        bbfatal "no configure script found at $cfgscript"
    fi
}

bbfatal_log() {
    if [ -p
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/temp/fifo.16095
] ; then
        printf "%b\0" "bbfatal_log $*" >
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/temp/fifo.16095
    else
        echo "ERROR: $*"
    fi
    exit 1
}

bbfatal() {
    if [ -p
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/temp/fifo.16095
] ; then
        printf "%b\0" "bbfatal $*" >
/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/temp/fifo.16095
    else
        echo "ERROR: $*"
    fi
    exit 1
}

cd
'/home/tjamison/work/GDP/genivi-dev-platform/gdp-src-build/tmp/work/corei7-64-poky-linux/bluez5/5.37-r0/build'
do_configure

# cleanup
ret=$?
trap '' 0
exit $ret
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.genivi.org/pipermail/genivi-projects_lists.genivi.org/attachments/20160906/bd071d28/attachment.html>


More information about the genivi-projects mailing list